Bug 198382 - Package libXmu lacks IPv6 support
Package libXmu lacks IPv6 support
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libXmu (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:21 EDT by Peter Vrabec
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 03:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:21:36 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/libXmu-1.0.2/src/CvtStdSel.c:236:	if (hostp->h_addrtype != AF_INET) return False;
Comment 1 Mike A. Harris 2006-07-19 06:29:13 EDT
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 2 Mike A. Harris 2006-07-24 03:04:30 EDT
It appears that libXmu doesn't support IPv6 at all and needs to be updated
to handle the IPv6 case or be more agnosticly written.

We disable TCP/IP support in X by default and strongly recommend that
people use ssh with X11 forwarding instead of using X protocol over TCP/IP
directly.  When used in this manner, IPv6 support is provided by ssh itself,
which covers the majority of our userbase.

I have filed a bug in X.Org bugzilla to track support for IPv6 in libXmu,
and once upstream has implemented this, we will include it in future OS
releases:

https://bugs.freedesktop.org/show_bug.cgi?id=7611

Setting status to UPSTREAM

Note You need to log in before you can comment on or make changes to this bug.